#include<iostream>
#include<algorithm>

using namespace std;

bool moze(long long i,long long p, long long q, long long r)
{
	long long zbir=0;
	zbir+=i/r+i/p+i/q;
	if(i%r!=0)
		zbir++;
	if(i%p!=0)
		zbir++;
	if(i%q!=0)
		zbir++;
	if(zbir<=i)
	{
		return true;
	}
	return false;
}
long long sadrzalac(long long l, long long d, long long p, long long q, long long r)
{
	long long brojac=max(l,max(p,q));
	long long i=l;
	while(i%brojac!=0)
		i++;
	return (d-i)%brojac;
}

int main()
{
	long long p,q,r,l,d,n;
	scanf("%lld%lld%lld%lld%lld",&p,&q,&r,&l,&d);
	long long brojmogucih=0;
	for(long long i=l;i<=d && i<=6000;i++)
	{
		if(p*q+q*r+p*r>p*q*r)
		{
			brojmogucih=0;
			break;
		}
		if(p*q+q*r+p*r==p*q*r)
		{
			brojmogucih=sadrzalac(l,d,p,q,r);
			break;
		}
		if(p*q+q*r+p*r<p*q*r && moze(i,p,q,r))
		{
			brojmogucih++;
		}
		
		
	}
	if(d>6000)
		brojmogucih+=d-6000;
	printf("%lld",brojmogucih);
}